﻿@{
    ViewData["Title"] = "Manajemen Pegawai";
}
    <section class="section">
        <div class="section-header">
            <h1>Manajemen Pegawai</h1>
            <div class="section-header-breadcrumb">
                <div class="breadcrumb-item"><a href="#">Dashboard</a></div>
                <div class="breadcrumb-item"><a href="#">Admin</a></div>
                <div class="breadcrumb-item active"><a href="#">Manajemen Pegawai</a></div>
            </div>
        </div>
        <div class="section-body">
            <div class="collapse" id="collapseSlipGaji">
                <div class="card card-body">
                    
                    <form class="form-inline" id="FormFilter">

                        <label class="sr-only" for="">Tahun</label>
                        <select class="form-control mb-2 mr-sm-2" id="Tahun" name="Tahun">
                            <option value="">Pilih Tahun</option>
                        </select>

                        <label class="sr-only" for="">Bulan</label>
                        <select class="form-control mb-2 mr-sm-2" id="BulanDownload" name="BulanDownload">
                            <option value="">Pilih Bulan</option>
                        </select>

                        <button type="button" class="btn btn-primary mb-2 mr-sm-2" onclick="DownloadGajiPegawai();"><i class="fa fa-download"></i> Download</button>

                        <button type="button" class="btn btn-success mb-2 mr-sm-2" onclick="ModalUploadSlipGaji();"><i class="fa fa-upload"></i> Upload</button>
                    </form>
                </div>
            </div>
            <div class="card" id="ListData">
                <div class="card-header form-row">
                    <h4 class="col-md-6 col-sm-3">Tabel Pegawai</h4>
                    <div class="col-md-6 text-right">
                        <button type="button" class="btn btn-success btn-flat" data-toggle="collapse" data-target="#collapseSlipGaji" aria-expanded="false" aria-controls="collapseSlipGaji">
                            <i class="fa fa-money"></i> Slip Gaji
                        </button>  &nbsp; 
                        <button type="button" class="btn btn-primary btn-flat" onclick="DataEditor();"><i class="fa fa-plus"></i> Tambah Data</button> &nbsp; &nbsp; &nbsp; 
                    </div>
                </div>
                <div class="card-body">
                    <div class="table-responsive">
                        <table id="TabelPegawai" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                            <thead>
                                <tr>
                                    <th>Aksi</th>
                                    <th>NIP</th>
                                    <th>Nama</th>
                                    <th>Jenis Kelamin</th>
                                    <th>No Handphone</th>
                                    <th>Tanggal Lahir</th>
                                    <th>Unit</th>
                                    <th>Jabatan</th>
                                    <th>Status</th>
                                </tr>
                            </thead>
                            <tfoot>
                                <tr>
                                    <th>Aksi</th>
                                    <th>NIP</th>
                                    <th>Nama</th>
                                    <th>Jenis Kelamin</th>
                                    <th>No Handphone</th>
                                    <th>Tanggal Lahir</th>
                                    <th>Unit</th>
                                    <th>Jabatan</th>
                                    <th>Status</th>
                                </tr>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>

            @* <div class="col-md-10 card"id="EditorForm" style="display:none;margin:0px auto;"> *@
            <div class="col-md-12 card"id="EditorForm" style="display:none;">
                <div class="card-header form-row">
                    <h4 class="col-md-12">Form Data Pegawai</h4>
                </div>
                <div class="card-body">
                    <form id="FormPegawai" class="form-horizontal" action="#" enctype="multipart/form-data">
                        <input id="TipeForm" name="TipeForm" type="hidden" />
                        <div class="form-row">
                            <div class="col-md-6">
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">Nama Pegawai:</label>
                                    <div class="col-sm-8">
                                        <select name="IdPegawai" id="IdPegawai" class="form-control select2" style="width:100%">
                                        </select>
                                        @* <input type="text" class="form-control" name="Nama" placeholder="Masukan Nama Pegawai" /> *@
                                    </div>
                                </div>
                                <div class="form-group form-row" id="DivNoHp" style="display:none;">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">No Handphone:</label>
                                    <div class="col-sm-8">
                                        <input type="number" class="form-control" name="NoHandphone" placeholder="Masukan NoHandphone" disabled />
                                    </div>
                                </div>
                                <div class="form-group form-row" id="DivEmail" style="display:none;">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">Email:</label>
                                    <div class="col-sm-8">
                                        <input type="email" class="form-control" name="Email" placeholder="Masukan Email" disabled />
                                    </div>
                                </div>
                                 <div class="form-group form-row" id="DivAlamat" style="display:none;">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">Alamat:</label>
                                    <div class="col-sm-8">
                                        <textarea class="form-control" name="Alamat" placeholder="Masukan Alamat" style="height:100px" disabled></textarea>
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">Jenis Pegawai:</label>
                                    <div class="col-sm-8">
                                        <select name="IdJenisPegawai" id="IdJenisPegawai" class="form-control select2" style="width:100%">
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">Jabatan:</label>
                                    <div class="col-sm-8">
                                        <select name="IdJabatan" id="IdJabatan" class="form-control select2" style="width:100%">
                                        </select>
                                    </div>
                                </div>
                                 <div class="form-group form-row">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">Gelar:</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" name="Gelar" placeholder="Masukan Gelar" />
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">NIP:</label>
                                    <div class="col-sm-8">
                                        <input type="number" class="form-control" name="Nip" placeholder="Masukan Nip" />
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">NIK:</label>
                                    <div class="col-sm-8">
                                        <input type="number" class="form-control" name="Nik" placeholder="Masukan Nik" />
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">No KK:</label>
                                    <div class="col-sm-8">
                                        <input type="number" class="form-control" name="NoKk" placeholder="Masukan No KK" />
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">Tempat Lahir:</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" name="TempatLahir" placeholder="Masukan Tempat Lahir" />
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">Tanggal Lahir:</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" name="TanggalLahir" data-toggle="datepicker" placeholder="Masukan Tanggal Lahir" readonly />
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">Unit:</label>
                                    <div class="col-sm-8">
                                        <select name="IdUnit" id="IdUnit" class="form-control select2" style="width:100%">
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">Jenis Kelamin:</label>
                                    <div class="col-sm-8">
                                        <select name="KdJenisKelamin" id="KdJenisKelamin" class="form-control select2" style="width:100%">
                                            <option value="">Select One</option>
                                            <option value="L">Laki-Laki</option>
                                            <option value="P">Perempuan</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">Agama:</label>
                                    <div class="col-sm-8">
                                        <select name="IdAgama" id="IdAgama" class="form-control select2" style="width:100%">
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">Jenjang Pendidikan:</label>
                                    <div class="col-sm-8">
                                        <select name="IdJenjangPendidikan" id="IdJenjangPendidikan" class="form-control select2" style="width:100%">
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">Institusi Pendidikan:</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" name="NamaInstitusiPendidikan" placeholder="Masukan Nama Institusi Pendidikan" />
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">Jurusan Pendidikan:</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" name="JurusanPendidikan" placeholder="Masukan Jurusan Pendidikan" />
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">Nama Pasangan:</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" name="NamaPasangan" placeholder="Masukan Nama Pasangan" />
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">Tanggal Masuk:</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" name="TanggalMasuk" data-toggle="datepicker" placeholder="Masukan Tanggal Masuk" readonly />
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">Golongan Pegawai:</label>
                                    <div class="col-sm-8">
                                        <select name="IdGolonganPegawai" id="IdGolonganPegawai" class="form-control select2" style="width:100%">
                                        </select>
                                    </div>
                                </div>
                                
                            </div>
                            <div class="col-md-6">
                                
                                
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">No Darurat:</label>
                                    <div class="col-sm-8">
                                        <input type="number" class="form-control" name="NoDarurat" placeholder="Masukan No Darurat" />
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">Aktifitas Dakwah:</label>
                                    <div class="col-sm-8">
                                        <textarea class="form-control" name="AktifitasDakwah" placeholder="Masukan Aktifitas Dakwah" style="height:100px"></textarea>
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">Organisasi Masyarakat:</label>
                                    <div class="col-sm-8">
                                        <textarea class="form-control" name="OrganisasiMasyarakat" placeholder="Masukan Organisasi Masyarakat" style="height:100px"></textarea>
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">Pengalaman Kerja:</label>
                                    <div class="col-sm-8">
                                        <textarea class="form-control" name="PengalamanKerja" placeholder="Masukan Pengalaman Kerja" style="height:100px"></textarea>
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">Kelas Diampu:</label>
                                    <div class="col-sm-8">
                                        <select name="IdKelasParalel[]" id="IdKelasParalel" class="form-control select2" data-toggle="select2" style="width:100%;" multiple required>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">Kompetensi:</label>
                                    <div class="col-sm-8">
                                        <select name="IdKompetensi[]" id="IdKompetensi" class="form-control select2" data-toggle="select2" style="width:100%;" multiple required>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">Facebook:</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" name="Facebook" placeholder="Masukan Username Facebook" />
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">Twitter:</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" name="Twitter" placeholder="Masukan Username Twitter" />
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">Instagram:</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" name="Instagram" placeholder="Masukan Username Instagram" />
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">Youtube:</label>
                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" name="Youtube" placeholder="Masukan Channel Youtube" />
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">Sambutan:</label>
                                    <div class="col-sm-8">
                                        <textarea class="summernote" name="Sambutan"></textarea>
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">Status Nikah:</label>
                                    <div class="col-sm-8">
                                        <select name="StatusKawin" id="StatusKawin" class="form-control select2" style="width:100%">
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-4" style="text-align:left;">Jumlah Anak:</label>
                                    <div class="col-sm-8">
                                        <select name="JumlahAnak" id="JumlahAnak" class="form-control select2" style="width:100%">
                                            <option value="0">0</option>
                                            <option value="1">1</option>
                                            <option value="2">2</option>
                                            <option value="3">3</option>
                                            <option value="4">4</option>
                                            <option value="5">5</option>
                                            <option value="6">6</option>
                                            <option value="7">7</option>
                                            <option value="8">8</option>
                                            <option value="9">9</option>
                                            <option value="10">10</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="form-row">
                                <div class="col-sm-6"><button type="button" onclick="Kembali();" class="btn btn-danger btn-block"><i class="fa fa-repeat"></i> Kembali</button></div>
                                <div class="col-sm-6"><button type="button" id="BtnSaveData" onclick="DataSave();" class="btn btn-success btn-block"><i class="fa fa-save"></i> Simpan Data</button></div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>

    </section>

<div class="modal fade" id="ProsesPegawai">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Form Pegawai</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form id="FormPegawai" class="form-horizontal" action="#" enctype="multipart/form-data">
                    <input type="hidden" class="form-control" name="IdPegawai" style="display:none;" />
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-5" style="text-align:left;">NIP:</label>
                        <div class="col-sm-7">
                            <input type="text" class="form-control" name="Nip" />
                        </div>
                    </div>
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-5" style="text-align:left;">Nama:</label>
                        <div class="col-sm-7">
                            <input type="text" class="form-control" name="Nama" />
                        </div>
                    </div>
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-5" style="text-align:left;">Tempat Lahir:</label>
                        <div class="col-sm-7">
                            <input type="text" class="form-control" name="TempatLahir" />
                        </div>
                    </div>
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-5" style="text-align:left;">TanggalLahir:</label>
                        <div class="col-sm-7">
                            <input type="text" class="form-control" name="TanggalLahir" id="datepicker" />
                        </div>
                    </div>
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-5" style="text-align:left;">Jenis Kelamin:</label>
                        <div class="col-sm-7">
                            <select name="JenisKelamin" class="form-control">
                                <option value="">- Pilih Salah Satu -</option>
                                <option value="1">Laki-Laki</option>
                                <option value="2">Perempuan</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-5" style="text-align:left;">Nama Pasangan:</label>
                        <div class="col-sm-7">
                            <input type="text" class="form-control" name="NamaPasangan" />
                        </div>
                    </div>
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-5" style="text-align:left;">No Handphone:</label>
                        <div class="col-sm-7">
                            <input type="text" class="form-control" name="NoHandphone" />
                        </div>
                    </div>
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-5" style="text-align:left;">E-Mail:</label>
                        <div class="col-sm-7">
                            <input type="text" class="form-control" name="Email" />
                        </div>
                    </div>
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-5" style="text-align:left;">Nik:</label>
                        <div class="col-sm-7">
                            <input type="text" class="form-control" name="Nik" />
                        </div>
                    </div>
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-5" style="text-align:left;">Foto:</label>
                        <div class="col-sm-7">
                            <input type="file" class="form-control" name="FileFoto" />
                            <div id="FileTumbnail"></div>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="form-row">
                            <div class="col-sm-6"><button type="button" data-dismiss="modal" class="btn btn-danger btn-block"><i class="fa fa-repeat"></i> Kembali</button></div>
                            <div class="col-sm-6"><button type="button" name="BtnSavePegawai" class="btn btn-success btn-block"><i class="fa fa-save"></i> Simpan Data</button></div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>


<div class="modal fade" id="ModalUploadSlipGaji">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Upload Slip Gaji</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form id="FormUploadSlipGaji" class="form-horizontal" action="#" enctype="multipart/form-data">
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-3" style="text-align:left;">File Excel:</label>
                        <div class="col-sm-9">
                            <input type="file" class="form-control" name="FileExcel" id="FileExcel" />
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="form-row">
                            <div class="col-sm-6"><button type="button" data-dismiss="modal" class="btn btn-danger btn-block"><i class="fa fa-repeat"></i> Kembali</button></div>
                            <div class="col-sm-6"><button type="button" class="btn btn-success btn-block" onclick="UploadGaji()"><i class="fa fa-save"></i> Upload Data</button></div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>